> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Editing Added Images

> Control which automatic image edits Vantage applies to uploaded pages: cropping, deskewing, rotation, and other preprocessing per skill or per request.

By default, added images of the file are edited according to specific skill properties. For example, the following changes can be applied:

* **Cropping.** Page borders are detected and cropped, skewing and distortions are also fixed.
* **Rotation.** Pages with non-standard orientation (e.g. pages with vertical text) are rotated.

You can allow or cancel automatic image editing using the **AutoCrop** and **AutoOrientation** flags. To do so, at step 3 of the [scenario](/vantage/developer/processing-documents/processing-documents-with-separate-api-calls), pass these parameters in the transaction with a **Yes** or a **No** value:

**For Windows:**

<CodeGroup>
  ```bash US theme={null}
  curl -X POST "https://vantage-us.abbyy.com/api/publicapi/v1/transactions/transaction-id/files/" \
  -H "accept: */*" \
  -H "Authorization: Bearer token" \
  -H "Content-Type: multipart/form-data" \
  -F "Model={
     \"files\": [
       {
         \"imageProcessingOptions\": {
         \"autoCrop\": \"No\",
         \"autoOrientation\": \"No\"
         }
       }
     ]
  }" \
  -F "Files=@testImage.tif;type=image/tiff"
  ```

  ```bash EU theme={null}
  curl -X POST "https://vantage-eu.abbyy.com/api/publicapi/v1/transactions/transaction-id/files/" \
  -H "accept: */*" \
  -H "Authorization: Bearer token" \
  -H "Content-Type: multipart/form-data" \
  -F "Model={
     \"files\": [
       {
         \"imageProcessingOptions\": {
         \"autoCrop\": \"No\",
         \"autoOrientation\": \"No\"
         }
       }
     ]
  }" \
  -F "Files=@testImage.tif;type=image/tiff"
  ```

  ```bash AU theme={null}
  curl -X POST "https://vantage-au.abbyy.com/api/publicapi/v1/transactions/transaction-id/files/" \
  -H "accept: */*" \
  -H "Authorization: Bearer token" \
  -H "Content-Type: multipart/form-data" \
  -F "Model={
     \"files\": [
       {
         \"imageProcessingOptions\": {
         \"autoCrop\": \"No\",
         \"autoOrientation\": \"No\"
         }
       }
     ]
  }" \
  -F "Files=@testImage.tif;type=image/tiff"
  ```
</CodeGroup>

**For Linux:**

<CodeGroup>
  ```bash US theme={null}
  curl -X POST 'https://vantage-us.abbyy.com/api/publicapi/v1/transactions/transaction-id/files/' \
  -H 'accept: */*' \
  -H 'Authorization: Bearer token' \
  -H 'Content-Type: multipart/form-data' \
  -F 'Model={
     "files": [
       {
         "imageProcessingOptions": {
         "autoCrop": "No",
         "autoOrientation": "No"
         }
       }
     ]
  }' \
  -F 'Files=@testImage.tif;type=image/tiff'
  ```

  ```bash EU theme={null}
  curl -X POST 'https://vantage-eu.abbyy.com/api/publicapi/v1/transactions/transaction-id/files/' \
  -H 'accept: */*' \
  -H 'Authorization: Bearer token' \
  -H 'Content-Type: multipart/form-data' \
  -F 'Model={
     "files": [
       {
         "imageProcessingOptions": {
         "autoCrop": "No",
         "autoOrientation": "No"
         }
       }
     ]
  }' \
  -F 'Files=@testImage.tif;type=image/tiff'
  ```

  ```bash AU theme={null}
  curl -X POST 'https://vantage-au.abbyy.com/api/publicapi/v1/transactions/transaction-id/files/' \
  -H 'accept: */*' \
  -H 'Authorization: Bearer token' \
  -H 'Content-Type: multipart/form-data' \
  -F 'Model={
     "files": [
       {
         "imageProcessingOptions": {
         "autoCrop": "No",
         "autoOrientation": "No"
         }
       }
     ]
  }' \
  -F 'Files=@testImage.tif;type=image/tiff'
  ```
</CodeGroup>

The **AutoCrop** and **AutoOrientation** parameters can be set for both transactions and skills. If these parameters are set to **Yes** or **No** for a specific transaction, images are edited according to those values. By default, images are preprocessed according to values specified for these parameters in the skill itself.

<Warning>
  Currently, values for these parameters can only be set for OCR skills.
</Warning>
